## uos-downloadmanager 1.0.26

=== Makefile ===
PRO_NAME:=nfs-downloadmanager
PRO_MAK:=./.${PRO_NAME}.mak

all:
	cd ./src && qmake -makefile -nocache ${PRO_NAME}.pro && make all
install:
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/database/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/icons/logo/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/config/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/desktop/autostart/
	mkdir -p  ${DESTDIR}/usr/bin/
	mkdir -p  ${DESTDIR}/usr/share/applications/
	mkdir -p  ${DESTDIR}/lib/systemd/system/
	mkdir -p  ${DESTDIR}/etc/xdg/autostart/
	mkdir -p  ${DESTDIR}/usr/share/icons/hicolor/scalable/apps/
	mkdir -p  ${DESTDIR}/usr/share/uos-downloadmanager/translations/
	install -Dm644 src/uos-downloadmanager ${DESTDIR}/usr/bin/
	install -Dm644 src/uos-downloadmanager  ${DESTDIR}/usr/share/uos-downloadmanager/
	install -Dm644 src/database/uos-downloadmanager-task.db ${DESTDIR}/usr/share/uos-downloadmanager/database/
	install -Dm644 src/config/aria2.conf ${DESTDIR}/usr/share/uos-downloadmanager/config/
	install -Dm644 src/config/config.conf ${DESTDIR}/usr/share/uos-downloadmanager/config/
	install -Dm644 src/desktop/uos-downloadmanager.desktop ${DESTDIR}/usr/share/uos-downloadmanager/desktop/
	install -Dm644 src/auto-desktop/uos-downloadmanager.desktop ${DESTDIR}/usr/share/uos-downloadmanager/desktop/autostart/
	install -Dm644 src/uos-downloadmanager.desktop ${DESTDIR}/usr/share/applications/
	install -Dm644 src/icons/ndm_preferencesystem_32px.svg ${DESTDIR}/usr/share/icons/hicolor/scalable/apps/
	install -Dm644 src/icons/ndm_preferencesystem_32px.svg ${DESTDIR}/usr/share/uos-downloadmanager/icons/logo/
	install -Dm644 src/translations/uos-downloadmanager_zh_CN.qm ${DESTDIR}/usr/share/uos-downloadmanager/translations/
	ln -s /usr/bin/aria2c ${DESTDIR}/usr/share/uos-downloadmanager/nfs-aria2c

.PHONY : clean
clean :
	-rm  src/uos-downloadmanager  src/moc_*  src/*.o  src/Makefile src/translations/uos-downloadmanager_zh_CN.qm

=== debian/changelog ===
uos-downloadmanager (1.0.26-1+rb2) UNRELEASED; urgency=medium

  * update

 -- unknown <nfs@unknown>  Fri, 22 Jan 2021 12:28:45 +0800

uos-downloadmanager (1.0.26-1) unstable; urgency=low

  * ['Autobuild release-candidate: 2504d373f5719e8db8e61b64ae168d4e4a68167f']

 -- shuttle <shuttle@deepin.com>  Sat, 14 Mar 2020 16:40:48 +0000

=== debian/control ===
Source: uos-downloadmanager
Section: unknown
Priority: optional
Maintainer: unknown <nfs@unknown>
Build-Depends: debhelper (>= 11), qt5-qmake, qt5-default, qttools5-dev-tools, qtmultimedia5-dev, libdtkwidget-dev
Standards-Version: 4.1.3
Homepage: <downloader>
#Vcs-Browser: https://salsa.debian.org/debian/uos-downloadmanager
#Vcs-Git: https://salsa.debian.org/debian/uos-downloadmanager.git

Package: uos-downloadmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},sqlite3,qt5-qmake,libnotify-bin,aria2,libaria2
Description: <downloader>
 <downloader>
